#!/usr/bin/env python

import pygame

def main():
  pygame.init()
  f = pygame.font.SysFont('Courier New', 16) # The font itself is irrelevant
  
  glyphs_to_render = [100, 101] # Character number are irrelevant too
        
  for glyph in glyphs_to_render:
    print('Rendering {}'.format(glyph))
    surface = f.render(unichr(glyph), False, (255, 255, 255)) # If antialiasing is set to True - the issue disappears
    if surface.get_bounding_rect().w > 0:
      pass

  pygame.quit()
  return 0
  
if __name__ == '__main__':
  main()