import pygame
import pygame.gfxdraw

BLACK = (0, 0, 0)
WHITE = (255, 255, 255)
pygame.init()

h = 600
w = 1000

screen = pygame.display.set_mode((w, h))
screen.fill(WHITE)

x0 = w // 4
y0 = h // 8
y1 = h // 2
tri0 = ((x0, y0), (2 * x0, y1), (3 * x0, y0))
tri1 = tuple((x, h - 1 - y) for x, y in tri0)
for tri in (tri0, tri1):
    pygame.draw.polygon(screen, BLACK, tri)
    (x0, y0), (x1, y1), (x2, y2) = tri
    pygame.gfxdraw.aatrigon(screen, x0, y0, x1, y1, x2, y2, BLACK)
pygame.display.flip()

while True:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            exit()


